import request from '@/utils/request'

// api地址
const api = {
	courseType: 'course/getCourseType',
	list: 'course/getCourseList',
	retailList: 'retail/retailPayList',
	describe: 'retail/describe',
	submit: 'retail/submit',
	getSoftAgreement: 'retail/getSoftAgreement',
	tradeQuery: 'cashier/tradeQuery',
	unify: 'goods/unify',
}

// 分类
export const courseType = (param) => {
	return request.get(api.courseType, param)
}
// 列表
export const courseList = (param) => {
	return request.get(api.list, param)
}
// 会员列表
export const retailList = (param) => {
	return request.post(api.retailList, param)
}
// 会员全益
export const describe = (param) => {
	return request.get(api.describe, param)
}
// 会员余额支付
export const submit = (param) => {
	return request.post(api.submit, param)
}
// 协议
export const getSoftAgreement = (param) => {
	return request.get(api.getSoftAgreement, param)
}

/**
 * 交易查询
 * 查询第三方支付订单是否付款成功
 * @param {Object} param
 */
export function tradeQuery(param) {
	return request.get(api.tradeQuery, param)
}

/**
 * 查询第三方支付信息
 * @param {Object} param
 */
export function unify(param) {
	return request.get(api.unify, param)
}
